Subject: Re: [bug#44249] [PATCH v2] gnu: emacs: Make strip-double-wrap more robust

From: zimoun <[email-masked]>
Date: Tue, 03 Nov 2020 23:09:56 +0100

Dear,

On Tue, 03 Nov 2020 at 22:38, Nicolas Goaziou <[email-masked]> wrote:

>> Can you confirm how you create the error?
>
> I cannot. I tested your patch before applying it, and could compile
> Emacs just fine. However, as Ludovic reported it on IRC this commit had
> introduced issues in `emacs-minimal' package, hence the revert. See, if
> I understand Guix Data correctly,
>
> http://data.guix.gnu.org/revision/b107a19ffb6a6abb7bde3436f3fa359071bd1f5c/package/emacs-minimal/27.1

Another entry point is:

https://data.guix.gnu.org/repository/1/branch/master/package/emacs-minimal/output-history

Then click on “2020-11-03 09:43:20“ which is the (commit) date of the
first failing commit and you get the revision
b107a19ffb6a6abb7bde3436f3fa359071bd1f5c

https://data.guix.gnu.org/revision/b107a19ffb6a6abb7bde3436f3fa359071bd1f5c

then click on “(View cgit)” leads to:

https://git.savannah.gnu.org/cgit/guix.git/commit/?id=b107a19ffb6a6abb7bde3436f3fa359071bd1f5c

QED. :-)

Hope that helps,
simon

PS:
The attentive reader notice the difference of hours:
“2020-11-03 09:43:20“
    vs
2020-11-03 10:30:03 +0100 
Hum?!